# class URLSearchParams

#### package js.html

Available on HTML5

The `URLSearchParams` interface defines utility methods to work with the query string of a URL.

Documentation URLSearchParams by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/URLSearchParams

### Constructor

###

`new (init:URLSearchParams)`

`new (init:String = "")`

Throws:

`null` | DOMError

### Methods

###

`append (name:String, value:String):Void`

Appends a specified key/value pair as a new search parameter.

###

`delete_ (name:String):Void`

###

`entries ():URLSearchParamsIterator`

Throws:

`null` | DOMError

###

`forEach (callback:Dynamic, ?thisArg:Dynamic):Void`

Throws:

`null` | DOMError

###

`get (name:String):String`

Returns the first value associated to the given search parameter.

###

`getAll (name:String):Array<String>`

Returns all the values association with a given search parameter.

###

`has (name:String):Bool`

Returns a `Boolean` indicating if such a search parameter exists.

###

`keys ():URLSearchParamsIterator`

Throws:

`null` | DOMError

###

`set (name:String, value:String):Void`

Sets the value associated to a given search parameter to the given value. If there were several values, delete the others.

###

`values ():URLSearchParamsIterator`

Throws:

`null` | DOMError